
#ifndef _defs_h
#define _defs_h

#define OBJECT_LABEL         (long) 1
#define REFL_PROPS_LABEL     (long) 4
#define MATERIAL_COLOR_LABEL (long) 6

/* Window layout information */
#define WS_WIDTH  400
#define WS_HEIGHT 400

/* Drawable information */
#define WINDOW      1
#define PIXMAP      2
#define BUFFER      3

/* Light source parameters */
#define RED_COORD			1
#define GREEN_COORD			2
#define BLUE_COORD			3
#define ATTENUATION_C1		4
#define ATTENUATION_C2		5
#define SPREAD_ANGLE		6
#define CONCENTRATION		7
#define AMBIENT_COEF		8
#define DIFFUSE_COEF		9
#define TRANSMISSION_COEF	10
#define SPECULAR_COEF		11
#define SPECULAR_EXP		12

/* Light types */
#define AMBIENT        0
#define DIRECTIONAL    1
#define POSITIONAL    2
#define SPOT        3

#endif /* _defs_h */
